#define prel	rc2
%define rel	1

Name:		qucs
Summary:	Quite Universal Circuit Simulator
Version:	0.0.20
Release:	%mkrel %{?prel:0.%prel.}%{rel}
License:	GPLv2+
Group:		Sciences/Other
URL:		https://qucs.sourceforge.net/
Source0:	https://github.com/Qucs/qucs/archive/%{version}%{?prel:-%prel}/qucs-%{version}%{?prel:-%prel}.tar.gz
Patch1:		0001-import-Vadims-qt3-compat-port-compile-fixes.patch
Patch2:		0002-Rewriting-cmake-files-to-Qt5.patch
Patch3:		0003-refactor-Qucs-for-Qt5.patch
Patch4:		0004-build-fixes.patch
BuildRequires:	adms
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	cmake(Qt5Help)
BuildRequires:	cmake(Qt5PrintSupport)
BuildRequires:	cmake(Qt5Script)
BuildRequires:	cmake(Qt5Svg)
BuildRequires:	cmake(Qt5Test)
BuildRequires:	cmake(Qt5Widgets)
BuildRequires:	cmake(Qt5Xml)
BuildRequires:	gperf
Requires:	freehdl
Requires:	freehdl-devel
Requires:	iverilog
Requires:	libtool
Requires:	asco
Requires:	adms

%description
Qucs is a circuit simulator with graphical user interface.  The
software aims to support all kinds of circuit simulation types,
e.g. DC, AC, S-parameter and harmonic balance analysis.

%prep
%autosetup -p1

for i in $(find . -name PLATFORMS); do
  echo "%{_host}" >> $i
done

%build
autoreconf -fi
%configure --with-qt-name=Qt5
%make_build

%install
%make_install

%files
%doc NEWS* README*
%{_bindir}/qucs*
%{_bindir}/ps2sp
%{_datadir}/applications/qucs.desktop
%{_datadir}/qucs/
%{_iconsdir}/hicolor/*/apps/qucs.*
%{_mandir}/man?/qucs*
%{_mandir}/man?/ps2sp*


%changelog
* Fri Jan 17 2025 daviddavid <daviddavid> 0.0.20-1.mga10
+ Revision: 2139434
- new version: 0.0.20
- time to switch to Qt5
- qucsator was splitted back as a stand-alone package

* Tue Oct 29 2024 daviddavid <daviddavid> 0.0.20-0.rc2.4.mga10
+ Revision: 2111659
- add patch to fix build with GCC 13

* Sun Dec 04 2022 wally <wally> 0.0.20-0.rc2.3.mga9
+ Revision: 1917800
- drop RPATH
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Dec 26 2020 wally <wally> 0.0.20-0.rc2.1.mga8
+ Revision: 1663797
- new version 0.0.20 rc2

* Fri Feb 14 2020 umeabot <umeabot> 0.0.18-7.mga8
+ Revision: 1516255
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.0.18-6.mga7
+ Revision: 1300750
- Mageia 7 Mass Rebuild

* Sat Feb 27 2016 luigiwalser <luigiwalser> 0.0.18-5.mga6
+ Revision: 979769
- add patch to fix build with grep 2.23
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Nov 13 2014 wally <wally> 0.0.18-4.mga5
+ Revision: 796745
- remove nonexistent xpm icon

* Wed Oct 15 2014 umeabot <umeabot> 0.0.18-3.mga5
+ Revision: 740711
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.18-2.mga5
+ Revision: 688579
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 wally <wally> 0.0.18-1.mga5
+ Revision: 671581
- new version 0.0.18
- drop unneeded patches
- add lib and devel pkgs

* Fri May 09 2014 wally <wally> 0.0.17-3.mga5
+ Revision: 621615
- require freehdl-devel and libtool

* Sun Mar 02 2014 wally <wally> 0.0.17-2.mga5
+ Revision: 598539
- add patch to use system asco
- use %%make in %%build section

* Sun Mar 02 2014 wally <wally> 0.0.17-1.mga5
+ Revision: 598527
- imported package qucs

